<div class="ruler-dashboard">
  <h1>CHECKS</h1>


  <div class="button-row">
    <dx-button class="create-new-check" icon="plus" text="Create New Check"></dx-button>
    <dx-button class="import-transaction" icon="file" text="Import Transaction"></dx-button>
    <dx-button class="export-to-excel" icon="exportxlsx" text="Export to Excel"></dx-button>
    <dx-button class="reprint" icon="print" text="Reprint"></dx-button>
    <dx-button class="reuse" icon="repeat" text="Reuse"></dx-button>
    <dx-button class="delete" icon="trash" text="Delete"></dx-button>
  </div>

<!--  <button mat-stroked-button color="primary"><mat-icon>import_export</mat-icon> Import Transaction</button>-->
<!--  <button mat-stroked-button color="primary"><mat-icon>payment</mat-icon> Generate Checks</button>-->
<!--  <button mat-stroked-button color="primary" (click)="OnPrintPreview()"><mat-icon>print</mat-icon> Print Check</button>-->
<!--  <button mat-stroked-button color="primary"><mat-icon> clear_all</mat-icon>Reset Check</button>-->
<!--  <div class="check-row">-->
<!--    <div class="header-label">-->
<!--      <p>-->
<!--        CHECKS (CURRENT MONTH PRINTED CHECKS)-->
<!--      </p>-->
<!--    <div class="check-panel-body">-->
<!--    </div>-->
<!--  </div>-->


  <div class="check-row">

    <dx-data-grid id="gridContainer"
                  [dataSource]="dataSource"
                  [remoteOperations]="false"
                  [allowColumnReordering]="true"
                  [showBorders]="true"
                  [hoverStateEnabled]="true"
                  [selectedRowKeys]="[]"
                  (onContentReady)="contentReady($event)">

      <dxo-paging [pageSize]="25"></dxo-paging>
      <dxo-pager
        [showPageSizeSelector]="true"
        [allowedPageSizes]="[10, 25, 50, 100]"
      ></dxo-pager>
      <dxo-search-panel
        [visible]="true"
        [highlightCaseSensitive]="true"
      ></dxo-search-panel>
      <dxo-group-panel
        [visible]="true"
      ></dxo-group-panel>
      <dxo-grouping
        [autoExpandAll]="false">

      </dxo-grouping><dxi-column dataField="BANKNAME" caption="Bank Name" dataType="date"></dxi-column>
      <dxi-column dataField="BRANCH" caption="Bank Branch" dataType="string"></dxi-column>
      <dxi-column dataField="ADDRESS" caption="Bank Address" dataType="string"></dxi-column>
      <dxi-column dataField="ROUTING" caption="RoutingNumber" dataType="string"></dxi-column>
      <dxi-column dataField="TRANSITSYMBOL" caption="Transit Symbol" dataType="string" [width]="150"></dxi-column>
      <dxi-column dataField="BRANCHCODE" caption="Branch Code" dataType="string" [width]="150"></dxi-column>
      <dxi-column dataField="TYPE" caption="Bank Type" dataType="string" [width]="150"></dxi-column>
    </dx-data-grid>
  </div>

</div>



